%define anolis_release 1
%global _hardened_build 1

Name: 		usermode
Summary: 	Tools for certain user account management tasks
Version: 	1.114
Release: 	%{anolis_release}%{?dist}
License: 	GPLv2+
URL: 		https://pagure.io/%{name}/
Source0: 	https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz
Source1: 	config-util

BuildRequires: make gcc gettext, glib2-devel, intltool
BuildRequires: libblkid-devel, libselinux-devel, libuser-devel
BuildRequires: pam-devel, perl-XML-Parser util-linux

Requires: pam, passwd, util-linux

%description
The usermode package contains the userhelper program, which can be
used to allow configured programs to be run with superuser privileges
by ordinary users.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --with-selinux --without-fexecve --without-gtk

%make_build

%install
%make_install INSTALL='install -p'

mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
install -p -m 644 %{SOURCE1} \
	$RPM_BUILD_ROOT/etc/security/console.apps/config-util

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%attr(4711,root,root) /usr/sbin/userhelper
%{_bindir}/consolehelper
%{_mandir}/man8/userhelper.8*
%{_mandir}/man8/consolehelper.8*
%config(noreplace) /etc/security/console.apps/config-util

%files doc
%doc ChangeLog NEWS README

%changelog
* Fri Apr 21 2023 happy_orange <songnannan@linux.alibaba.com> - 1.114-1
- init package
